#include <bits/stdc++.h>
using namespace std;
string a,b,res;
int main(){
    cin>>a>>b;
    int max_size=max(a.size(),b.size());
    while(a.size()<max_size)a.insert(0,"+");
    while(b.size()<max_size)b.insert(0,"+");
    for(int i=0;i<=max_size;i++){
       if(a[i]<b[i])res.push_back(b[i]);
       else if(a[i]==b[i]){res.push_back(b[i]);res.push_back(b[i]);}
       else res.push_back(a[i]);
    }
    cout<<res<<endl;


    return 0;
}